// Copyright 1993 by Jon Dart.  All Rights Reserved.

#ifndef __HINT_H__
#define __HINT_H__

#ifndef __AFXWIN_H__
#include <afxwin.h>
#endif
#include "move.h"
#include "constant.h"
#include "resource.h"


/////////////////////////////////////////////////////////////////////////////
// HintDialog dialog

class HintDialog : public CDialog
{
// Construction
public:
        HintDialog(CWnd* pParent, Board &board);

// Dialog Data
        //{{AFX_DATA(HintDialog)
        enum { IDD = HINT };
        CString m_HintText;
        //}}AFX_DATA
                         
        Move hintMove;
        int next_move; 
        int num_moves;
        Move moves[Constants::MAX_HINT_MOVES];
                                 
// Implementation
protected:
        virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV support

        // Generated message map functions
        //{{AFX_MSG(HintDialog)
        afx_msg void OnAnother();
        virtual BOOL OnInitDialog();
        //}}AFX_MSG
        DECLARE_MESSAGE_MAP()
        
        void compute_hint();
        Board &the_board;
};

#endif
